/*---------------------------------------------
  GPIOɂMo (vbVv)
  ---------------------------------------------*/
#include <ud3.h>

UD3_TASK1 () {
  volatile int  i = 0;

  UD3_PRINTF ("\n");
  while (1) {
    i ++;
    i = (i > 0x3FF) ? 0 : i;

    UD3_SET_GPIOOUTPUT (i);
    UD3_PRINTF ("VALUE = [%8d]\r", UD3_GET_GPIOINPUT());
  }
}

UD3_INITIALIZE () {
  UD3_CFG_GPIO0 (GPIO_OUT_PUSHPULL);
  UD3_CFG_GPIO1 (GPIO_OUT_PUSHPULL);
  UD3_CFG_GPIO2 (GPIO_OUT_PUSHPULL);
  UD3_CFG_GPIO3 (GPIO_OUT_PUSHPULL);
  UD3_CFG_GPIO4 (GPIO_OUT_PUSHPULL);
  UD3_CFG_GPIO5 (GPIO_OUT_PUSHPULL);
  UD3_CFG_GPIO6 (GPIO_OUT_PUSHPULL);
  UD3_CFG_GPIO7 (GPIO_OUT_PUSHPULL);
  UD3_CFG_GPIO8 (GPIO_OUT_PUSHPULL);
  UD3_CFG_GPIO9 (GPIO_OUT_PUSHPULL);
  UD3_CFG_GPIO10 (GPIO_OUT_PUSHPULL);

  UD3_ACTIVE_TASK (1);
}
