/*---------------------------------------------
  GPIO8PWMo
  ---------------------------------------------*/
#include <ud3.h>

UD3_INITIALIZE () {
  UD3_CFG_GPIO8  (GPIO_PWM);

  UD3_SET_PWM8CLOCK (_UD_PWM_CLOCK_1500K);
  UD3_SET_PWM8CYCLE (300);

  UD3_ACTIVE_TASK (1);
}

UD3_TASK1 () {
  volatile int  i = 10;

  while (1) {
    i ++;
    if (i > 200) i = 10;
    UD3_SET_PWM8DUTY (i);
  }
}
