/*---------------------------------------------
  pTv
  ---------------------------------------------*/

#include <ud3.h>

// Ԓ`
#define turn_back_wait 500  // БyUm̌i
#define turn_turn_wait 500  // БyUm̐񎞊
#define back_back_wait 600  // yUm̌i
#define back_turn_wait 600  // yUm̐񎞊

// ZT̔ɉe֐̌^錾
typedef void (*TActionFunc)(void);

bool  gSearchFlag = false;  // ̋ς邽߂̃tO(XV͓yUZT)

//------------------------------------------------
//  [^[p֐
//------------------------------------------------
// Oi
void forward(int16_t pow)
{
  UD3_SET_DUTY (abs(pow), abs(pow));
}

// 
void back(int16_t pow)
{
  UD3_SET_DUTY (-abs(pow), -abs(pow));
}

// ~
void stop (void)
{
  UD3_SET_DUTY (0, 0);
}

// MnE
void right_turn(int16_t pow)
{
  UD3_SET_DUTY (abs(pow), -abs(pow));
}

// Mn
void left_turn(int16_t pow)
{
  UD3_SET_DUTY (-abs(pow), abs(pow));
}

// E
void turn(int16_t l_pow, int16_t r_pow)
{
  UD3_SET_DUTY (abs(l_pow), abs(r_pow));
}

// ԂɂMnE
void right_turn_time (uint32_t t)
{
  right_turn (1000);
  UD3_WAIT (t);
  stop ();
}

// ԂɂMn
void left_turn_time (uint32_t t)
{
  left_turn (1000);
  UD3_WAIT (t);
  stop ();
}

// Ԃɂi
void back_time (uint32_t t)
{
  back (1000);
  UD3_WAIT (t);
  stop ();
}

//------------------------------------------------
//  {֐
//------------------------------------------------
// EyUZT̗E
void action_r_line (void)
{
  back_time (turn_back_wait);       // 
  left_turn_time (turn_turn_wait);  // 
  gSearchFlag = !gSearchFlag;       // ̃J[uύX
}

// yUZT̗E
void action_l_line (void)
{
  back_time (turn_back_wait);       // 
  right_turn_time (turn_turn_wait); // E
  gSearchFlag = !gSearchFlag;       // ̃J[uύX
}

// yUZT̗E
void action_rl_line (void)
{
  back_time (back_back_wait);       // 
  left_turn_time (back_turn_wait);  // 
  gSearchFlag = !gSearchFlag;       // ̃J[uύX
}

// EZT̂ݔ    E]
void action_right_turn (void) {
  right_turn (1000);
}

// ʃZT̂ݔ  Oi
void action_straight (void) {
  forward (1000);
}

// EEʃZT  EɑOi
void action_right_curve (void) {
  turn (800, 500);
}

// ZT        
void action_left_turn (void) {
  left_turn (1000);
}

// EʃZT  ɑOi
void action_left_curve (void) {
  turn (500, 800);
}

// 𑕂
void action_search (void) {
  if (gSearchFlag)  turn (500, 800);
  else              turn (800, 500);
}

// (O̔֐I̓p)
void dummy (void)
{
}

//------------------------------------------------
//  ZTɂ铮p^[
//------------------------------------------------
const TActionFunc gActTable[32] = {
  // LMR_LR
  // 000 00 ̃ZT
  action_search,
  // 000 01
  action_r_line,
  // 000 10
  action_l_line,
  // 000 11
  action_rl_line,

  // LMR_LR
  // 001 00 ẼZT
  action_right_turn,
  // 001 01
  action_r_line,
  // 001 10
  action_l_line,
  // 001 11
  action_rl_line,

  // LMR_LR
  // 010 00 ̃ZT
  action_straight,
  // 010 01
  action_r_line,
  // 010 10
  action_l_line,
  // 010 11
  action_rl_line,

  // LMR_LR
  // 011 00 EẼZT
  action_right_curve,
  // 011 01
  action_r_line,
  // 011 10
  action_l_line,
  // 011 11
  action_rl_line,

  // LMR_LR
  // 100 00 ̃ZT
  action_left_turn,
  // 100 01
  action_r_line,
  // 100 10
  action_l_line,
  // 100 11
  action_rl_line,

  // LMR_LR
  // 101 00 EẼZT
  action_straight,
  // 101 01
  action_r_line,
  // 101 10
  action_l_line,
  // 101 11
  action_rl_line,

  // LMR_LR
  // 110 00 ẼZT
  action_left_curve,
  // 110 01
  action_r_line,
  // 110 10
  action_l_line,
  // 110 11
  action_rl_line,

  // LMR_LR
  // 111 00 EEẼZT
  action_straight,
  // 111 01
  action_r_line,
  // 111 10
  action_l_line,
  // 111 11
  action_rl_line
};

// 
UD3_INITIALIZE () {
  UD3_CFG_GPIO0 (GPIO_IN_PULLUP_ON);  // yUpZT[
  UD3_CFG_GPIO1 (GPIO_IN_PULLUP_ON);  // yUpZT[E
  UD3_CFG_GPIO2 (GPIO_IN_PULLUP_ON);  // ΕZT[
  UD3_CFG_GPIO3 (GPIO_IN_PULLUP_ON);  // ΕZT[
  UD3_CFG_GPIO4 (GPIO_IN_PULLUP_ON);  // ΕZT[E
  UD3_CFG_GPIO10 (GPIO_IN_PULLUP_ON); // ً}~

  // PWMg80kHz
  UD3_SET_M1FREQUENCY (80);
  UD3_SET_M2FREQUENCY (80);
  // PWMő吧95% 100%-5%)
  UD3_SET_M1RECHARGE (5);
  UD3_SET_M2RECHARGE (5);
  // 쓮[hݒ
  UD3_SET_M1DRIVEMODE (_UD_MOTOR_DRIVE);
  UD3_SET_M2DRIVEMODE (_UD_MOTOR_DRIVE);

  // [^쓮
  UD3_SET_MOTORENABLE (true);

  UD3_ACTIVE_TASK (1);
  UD3_ACTIVE_TASK (2);
}

// 킢^XN
UD3_TASK1 () {
  volatile int  val;
  volatile int  i = 0, led = 0;
  bool  start_flag = false;

  UD3_SET_BUZZER (20, 10);
  UD3_WAIT (100);
  UD3_SET_BUZZER (30, 10);

  while (!start_flag) {
    UD3_SET_LED (led = !led);
    for (i = 0; i < 100000; i++)
      if (UD3_GET_PUSHBUTTON1 () || UD3_GET_PUSHBUTTON2 ()) {
        start_flag = true;
        break;
      }
  }

  UD3_SET_MOTORENABLE (true);
  UD3_SET_LED (1);
  UD3_WAIT (1000);
  UD3_SET_BUZZER (20, 20);
  UD3_WAIT (1000);
  UD3_SET_BUZZER (20, 20);
  UD3_WAIT (1000);
  UD3_SET_BUZZER (20, 20);
  UD3_WAIT (1000);
  UD3_SET_BUZZER (20, 20);
  UD3_WAIT (1000);
  UD3_SET_BUZZER (50, 50);
  UD3_SET_LED (0);

  while (1) {
    // 5̃ZT̒lɂ菈֐I
    val = ~UD3_GET_GPIOINPUT ();
    gActTable[(val & 0x1f)]();
  }
}

// ~Ď
UD3_TASK2 () {
  while (1) {

    if ((~UD3_GET_GPIOINPUT ()) & 0x400) {
      UD3_WAIT (200);
      // 0.2bɂxMmF(댟m΍)
      if ((~UD3_GET_GPIOINPUT ()) & 0x400) {
        while (1) {
          // [^쓮~
          UD3_SET_MOTORENABLE (false);
          UD3_SET_BUZZER (50, 20);
          UD3_WAIT (500);
        }
      }
    }
  }
}
