/*---------------------------------------------
  WRpTv
  ---------------------------------------------*/
#include <ud3.h>

UD3_INITIALIZE () {
  // GPIO8`10pXv[h
  UD3_CFG_GPIO8 (GPIO_PWM_CAP);
  UD3_CFG_GPIO9 (GPIO_PWM_CAP);
  UD3_CFG_GPIO10 (GPIO_PWM_CAP);

  // PWMg80kHz
  UD3_SET_M1FREQUENCY (80);
  UD3_SET_M2FREQUENCY (80);
  // PWMő吧95% 100%-5%)
  UD3_SET_M1RECHARGE (5);
  UD3_SET_M2RECHARGE (5);
  // 쓮[hݒ
  UD3_SET_M1DRIVEMODE (_UD_MOTOR_DRIVE);
  UD3_SET_M2DRIVEMODE (_UD_MOTOR_DRIVE);

  UD3_ACTIVE_TASK (1);
}

UD3_TASK1 () {
  int longpush = 0;
  bool led = false;

  // N
  UD3_SET_BUZZER(20, 10);
  UD3_WAIT(100);
  UD3_SET_BUZZER(30, 10);

  while (1) {
    // PB1̒(2b))Ńv|̒[h
    if (UD3_GET_PUSHBUTTON1 ()) {
      // [^쓮~
      UD3_SET_MOTORENABLE (false);
      UD3_WAIT(50);
      UD3_SET_LED (led = !led);
      UD3_SET_BUZZER(10, 5);
      if (longpush++ > 40) {
        UD3_WAIT(500);
        UD3_SET_BUZZER(30, 10);
        UD3_WAIT(100);
        UD3_SET_BUZZER(20, 10);

        while (UD3_GET_PUSHBUTTON1 () || UD3_GET_PUSHBUTTON2 ()) UD3_WAIT(50);
        UD3_WAIT(100);

        // APIs
        while (!UD3_MEASURE_STICKPOS (20, 10));
        longpush = 0;
      }
    } else {
      // [^쓮
      UD3_SET_MOTORENABLE (true);
      // fBbvXCb`Ń[^̉]ύX
      UD3_SET_MOTORREVRSE (UD3_GET_DIPSWICH() & 3);
      // LED_
      UD3_SET_LED (led = !led);
      // GPIO8M1AGPIO9M2Ɋ蓖Ăĉ^]
      UD3_RC_MOTOR (0, 1);
      longpush = 0;
    }
  }
}
